Package org.eclipse.ui

## Interface IMarkerHelpRegistry

    public interface IMarkerHelpRegistry

Registry of F1 help contexts and resolutions for markers.

The information contained in the registry is read from the org.eclipse.ui.markerhelp and org.eclipse.ui.markerresolution extension points.

Since:
  2.0

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getHelp​(IMarker marker)` Returns a help context id for the given marker or `null` if no help has been registered for the marker.
`IMarkerResolution[]` `getResolutions​(IMarker marker)` Returns an array of resolutions for the given marker.
`boolean` `hasResolutions​(IMarker marker)` Returns `false` if there are no resolutions for the given marker.

### Method Detail

#### getHelp

    String getHelp​(IMarker marker)

Returns a help context id for the given marker or `null` if no help has been registered for the marker.

Parameters:
  `marker` - the marker for which to obtain help
Returns:
  the help context id
Since:
  2.0

#### hasResolutions

    boolean hasResolutions​(IMarker marker)

Returns `false` if there are no resolutions for the given marker. Returns `true` if their may be resolutions. In most cases a `true` value means there are resolutions but due to plugin loading issues getResolutions may sometimes return an empty array after this method returns `true`.

Parameters:
  `marker` - the marker for which to determine if there are resolutions
Returns:
  `true` if there may be resolutions
Since:
  2.0

#### getResolutions

    IMarkerResolution[] getResolutions​(IMarker marker)

Returns an array of resolutions for the given marker. The returned array will be empty if there are no resolutions for the marker.

Parameters:
  `marker` - the marker for which to obtain resolutions
Returns:
  an array with the marker resolutions
Since:
  2.0